### Type parameters

- #### T

### Hierarchy

- BlueBaseHookProps

## Index

### Properties

- args
- children
- hook
- value

## Properties

### Optional args

args: undefined | object

- Defined in components/BlueBaseHook/BlueBaseHook.tsx:10

### children

children: function

- Defined in components/BlueBaseHook/BlueBaseHook.tsx:11

#### Type declaration

- - (value: any): React.ReactNode

  - #### Parameters

    - ##### value: any

    #### Returns React.ReactNode

### hook

hook: string

- Defined in components/BlueBaseHook/BlueBaseHook.tsx:8

### value

value: T

- Defined in components/BlueBaseHook/BlueBaseHook.tsx:9

Generated using TypeDoc